%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-minimist
Version:             1.2.6
Release:             1
Summary:             Parse argument options in Node.js
License:             MIT
URL:                 https://github.com/substack/minimist
Source0:             https://registry.npmjs.org/minimist/-/minimist-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tap) npm(tape)
%endif
%description
%{summary}.
This module is the guts of nodejs-optimist's argument parser without all the
fanciful decoration.

%prep
%autosetup -n package -p1

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/minimist

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%files
%{nodejs_sitelib}/minimist
%{nodejs_sitelib}/minimist/index.js
%{nodejs_sitelib}/minimist/package.json
%doc readme.markdown example
%license LICENSE

%changelog
* Wed Apr 13 2022 yaoxin <yaoxin30@h-partners.com> - 1.2.6-1
- Update minimist to 1.2.6 for fix CVE-2021-44906

* Wed Oct 13 2021 houyingchao <houyingchao@huawei.com> - 1.2.0-2
- Fix CVE-2020-7598

* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 1.2.0-1
- Package init
